$block: project-nav;

.#{$block} {
	z-index: 100;
	height: 100vh;
	overflow: hidden;
	max-height: 760px;
	position: relative;
	display: flex;
	flex-direction: column;

	&__elem {
		height: 50%;
		color: $white;
		padding-top: 70px;
		position: relative;
		text-decoration: none;
		background-position: 50% 50%;
		background-repeat: no-repeat;
		background-size: cover;
		display: flex;
		align-items: center;
		transition: .3s;

		&:hover {
			color: $white;
			transition: .3s;
			text-decoration: none;
		}

		&.invert {
			color: $black;

			&:hover {
				color: $black;
			}
		}
	}

	&__container {
		z-index: 100;
		padding: 20px;
		position: relative;
	}

	&__header {
		position: relative;
		margin-bottom: 40px;
		font-family: $font-family-head;

		&--label {
			width: 160px;
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
			max-width: 320px;
			font-weight: 700;
			line-height: 130%;
			font-size: font-size-rel(22px);
		}

	}

	@media (min-width: $screen-xs-min) {
		flex-direction: row;

		&__elem {
			width: 50%;
			height: 100%;
		}

		&__container {
			width: 280px;
		}
	}

	@media (min-width: $screen-sm-min) {

		&__elem {

			&--prev {
				justify-content: flex-end;
			}

			&--next {
				justify-content: flex-start;
			}
		}

		&__container {
			width: 375px;
			padding: 50px 0;
		}

		&__header {
			padding-right: 20px;

			&--label {
				text-align: right;
				font-size: font-size-rel(18px);
			}

			&--title {
				max-width: inherit;
				padding-left: 100px;
				line-height: 120%;
				font-size: font-size-rel(30px);
			}
		}
	}

	@media (min-width: $screen-md-min) {

		&__container {
			width: 500px;
		}

		&__header {

			&--title {
				padding-left: 160px;
				font-size: font-size-rel(40px);
			}
		}

		&__elem {

			&:before {
				left: 0;
				right: 0;
				top: 100%;
				content: '';
				z-index: 1;
				width: 100%;
				height: 100%;
				position: absolute;
				background: #F9F9F9;
				transition: 1s;
			}

			&.invert {

				&:before {
					top: 0;
					transition: 1s;
				}
			}
		}
	}

	@media (min-width: $screen-lg-min) {
		max-height: inherit;

		&__container {
			width: 600px;
		}
	}

	@media (min-width: $screen-xl-min) {

		&__container {
			width: 660px;
		}

		&__header {

			&--title {
				font-size: font-size-rel(50px);
			}
		}
	}
}

@keyframes hover-one {
	from {
		transform: translateY(0);
	}

	to {
		transform: translateY(100%);
	}
}